<template>
  <div class="eContainer">
    <el-form
      :model="model"
      :rules="rules"
      ref="modelForm"
      label-width="150px"
      label-position="right"
      size="small"
      :validate-on-rule-change="false"
    >
      <c-tabs v-model="tabVal" ref="elment" type="card" @tab-click="tabClick">
        <!--PD000027 -->
        <el-tab-pane label="查询" name="sel">
          <c-content>
            <m-sel :model="model" :codes="codes" />
          </c-content>
        </el-tab-pane>
      </c-tabs>
    </el-form>
  </div>
</template>
<script>
import Api from "~/service/Api";
import CodeTable from "~/config/CodeTable";
import Cctsel from "~/model/Cctsel";
import CommonProcess from "~/mixin/CommonProcess";
import Check from "~/model/Cctsel/Check";
import Default from "~/model/Cctsel/Default";
import Pattern from "~/model/Cctsel/Pattern";
import Sel from "./Sel";

export default {
  name: "Cctsel",
  components: {
    "m-sel": Sel,
  },
  provide() {
    return {
      root: this,
    };
  },
  mixins: [CommonProcess], // 里面包含了Default、Check等的公共处理
  data() {
    return {
      tabVal: "sel",
      trnName: "cctsel",
      model: new Cctsel().data,
      checkRules: Check,
      defaultRules: Default,
      pattern: Pattern,
      rules: null,
      codes: {},
    };
  },
  methods: {
    tabClick() {},
  },
  created: async function () {
    console.log("进入cctsel交易");
    let rtnmsg = await this.init({});
    if (rtnmsg.respCode == SUCCESS) {
      //TODO 处理数据逻辑
    } else {
      this.$notify.error({ title: "错误", message: "服务请求失败！" });
    }
  },
};
</script>
<style>
</style>
